Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.vendor
Class CreateLicense

    java.lang.Object
      com.atomikos.vendor.CreateLicense

    public class CreateLicense

extends Object

Copyright © 2002, Guy Pardon. All rights reserved. A simple command tool for creating new license files.

Constructor Summary
`CreateLicense()`

Method Summary
`static void` | `createDeveloperLicense(String owner, String productName, String baseName, String key, long expiryDate, Properties features)` Create a new developer license, not limited in time.
`static void` | `createDomainLicense(String owner, String productName, String baseName, String key, long expiryDate, String domain, Properties features)` Create a new license that limits the hosts to the given domain.
`static void` | `createEvaluationLicense(String owner, String productName, String baseName, String key, long expiryDate, Properties features)` Create a new evaluation license that does NOT limit the hosts.
`static void` | `createNodeLockedLicense(String owner, String productName, String baseName, String key, long expiryDate, String[] hosts, Properties features)` Create a new license that limits the hosts to the given IP addresses.
`static void` | `createUnlimitedLicense(String issuer, String productName, String baseName, String key, long expiryDate, Properties features)` Create a new license that does NOT limit the hosts.
`static void` | `main(String[] args)`
`static void` | `setDigestName(String name)` Set the name of the algorithm to use for computing digests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateLicense

    public CreateLicense()

Method Detail

### createEvaluationLicense

    public static final void createEvaluationLicense(String owner,
                                                     String productName,
                                                     String baseName,
                                                     String key,
                                                     long expiryDate,
                                                     Properties features)
                                              throws IOException,
                                                     NoSuchAlgorithmException

  Create a new evaluation license that does NOT limit the hosts.

  Parameters:
    `owner` - The owner.
    `productName` - The name of the product line.
    `baseName` - The base name of the license files.
    `key` - The key to sign the license with.
    `expiryDate` - The date of expiration. After this date, the license becomes invalid.
    `features` - The features to fix, empty object if none
  Throws:
    `IOException` - On IO error.
    `NoSuchAlgorithmException` - If the signature could not be generated.

### createUnlimitedLicense

    public static final void createUnlimitedLicense(String issuer,
                                                    String productName,
                                                    String baseName,
                                                    String key,
                                                    long expiryDate,
                                                    Properties features)
                                             throws IOException,
                                                    NoSuchAlgorithmException

  Create a new license that does NOT limit the hosts.

  Parameters:
    `issuer` - The vendor who creates the license.
    `productName` - The name of the product line.
    `baseName` - The base name of the license files.
    `key` - The key to sign the license with.
    `expiryDate` - The date of expiration.
    `features` - The features to fix in the license, emtpy if none.
  Throws:
    `IOException` - On IO error.
    `NoSuchAlgorithmException` - If the signature could not be generated.

### createDomainLicense

    public static final void createDomainLicense(String owner,
                                                 String productName,
                                                 String baseName,
                                                 String key,
                                                 long expiryDate,
                                                 String domain,
                                                 Properties features)
                                          throws IOException,
                                                 NoSuchAlgorithmException

  Create a new license that limits the hosts to the given domain.

  Parameters:
    `owner` - The owner.
    `productName` - The name of the product line.
    `baseName` - The base name of the license files.
    `key` - The key to sign the license with.
    `expiryDate` - When does the license expire?
    `domain` - The domain name for the license.
    `features` - The features to fix in the license. Empty if none.
  Throws:
    `IOException` - On IO error.
    `NoSuchAlgorithmException` - If the signature could not be generated.

### createNodeLockedLicense

    public static final void createNodeLockedLicense(String owner,
                                                     String productName,
                                                     String baseName,
                                                     String key,
                                                     long expiryDate,
                                                     String[] hosts,
                                                     Properties features)
                                              throws IOException,
                                                     NoSuchAlgorithmException

  Create a new license that limits the hosts to the given IP addresses.

  Parameters:
    `owner` - The owner of the license.
    `productName` - The name of the product line.
    `baseName` - The base name of the license files.
    `key` - The key to sign the license with.
    `expiryDate` - When does the license expire?
    `hosts` - The host IP addresses for which the license is valid.
    `features` - The features to fix in the license, empty if none.
  Throws:
    `IOException` - On IO error.
    `NoSuchAlgorithmException` - If the signature could not be generated.

### createDeveloperLicense

    public static final void createDeveloperLicense(String owner,
                                                    String productName,
                                                    String baseName,
                                                    String key,
                                                    long expiryDate,
                                                    Properties features)
                                             throws NoSuchAlgorithmException,
                                                    IOException

  Create a new developer license, not limited in time.

  Parameters:
    `owner` - The owner of the license.
    `productName` - The product name.
    `baseName` - The name for the files.
    `key` - The secret key for signing.
    `expiryDate` - When does the license expire?
    `features` - The features to fix.
  Throws:
    `NoSuchAlgorithmException`
    `IOException`

### setDigestName

    public static void setDigestName(String name)

  Set the name of the algorithm to use for computing digests.

  Parameters:
    `name` - The name of the alg.

### main

    public static final void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.